# Class SpotLight

#### Hierarchy

- Group
  - SpotLight

- Defined in lib/vfx/spotLight/spotLight.ts:5

##### Index

### Constructors

constructor

### Properties

needsRender

### Accessors

anglePower
attenuation
color

### Methods

setTime

## Constructors

### constructor

- new SpotLight(
  height?: number,
  radiusTop?: number,
  radiusBottom?: number,
  ): SpotLight

  #### Parameters

  - height: number = 1
  - radiusTop: number = 0.1
  - radiusBottom: number = 0.2

  #### Returns SpotLight

  Overrides THREE.Group.constructor

  - Defined in lib/vfx/spotLight/spotLight.ts:11

## Properties

### needsRender

needsRender: boolean

- Defined in lib/vfx/spotLight/spotLight.ts:8

## Accessors

### anglePower

- get anglePower(): number

  #### Returns number

  - Defined in lib/vfx/spotLight/spotLight.ts:66
- set anglePower(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/spotLight/spotLight.ts:62

### attenuation

- get attenuation(): number

  #### Returns number

  - Defined in lib/vfx/spotLight/spotLight.ts:58
- set attenuation(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/spotLight/spotLight.ts:54

### color

- get color(): Color

  #### Returns Color

  - Defined in lib/vfx/spotLight/spotLight.ts:74
- set color(value: Color): void

  #### Parameters

  - value: Color

  #### Returns void

  - Defined in lib/vfx/spotLight/spotLight.ts:70

## Methods

### setTime

- setTime(time: number): void

  #### Parameters

  - time: number

  #### Returns void

  - Defined in lib/vfx/spotLight/spotLight.ts:46